# Crate thread_id [−] [src]

Thread-ID: get a unique ID for the current thread.

For diagnostics and debugging it can often be useful to get an ID that is different for every thread. This crate provides that functionality.

# Example

    use std::thread;
    use thread_id;

    thread::spawn(move || {
        println!("spawned thread has id {}", thread_id::get());
    });

    println!("main thread has id {}", thread_id::get());

## Functions

get | Returns a number that is unique to the calling thread.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)